get file = 'ch.sav'.

*add variable labels.
variable labels
  CHCLNO  "Cluster number"
  /CHHHNO  "Household number"
  /CHCTNO  "Caretaker's line number"
  /CHLNNO  "Child's line number"
  /HID     "Household ID"
  /CID     "Child's ID"
  /BR1     "Name"
  /BR2     "Age (completed years)"
  /BR3D    "Day of birth"
  /BR3M    "Month of birth"
  /BR3Y    "Year of birth"
  /BR4     "Birth certificate"
  /BR5     "Birth registered"
  /BR6     "Reason birth not registered"
  /BR7     "Knows how to register a birth"
  /BR8     "Attends early learning"
  /BR9     "Hours of early learning last 7 days"
  /VA1     "Received vitamin A"
  /VA2     "Months since last dose"
  /VA3     "Source of last dose"
  /BF1     "Ever breastfed"
  /BF2     "Currently breastfed"
  /BF3A    "Received: vitamin supplements"
  /BF3B    "Received: plain water"
  /BF3C    "Received: sweetened water/juice"
  /BF3D    "Received: ORS"
  /BF3E    "Received: milk"
  /BF3F    "Received: other liquids"
  /BF3G    "Received: mushy food"
  /BF4     "Given bottle with nipple/teat"
  /CI1     "Diarrhea in last 2 weeks"
  /CI2     "Other health problem in last 2 weeks"
  /CI3A    "During diarrhea: breast milk"
  /CI3B    "During diarrhea: gruel"
  /CI3C    "During diarrhea: other acceptable"
  /CI3D    "During diarrhea: ORS packet"
  /CI3E    "During diarrhea: other milk"
  /CI3F    "During diarrhea: water with feeding"
  /CI3G    "During diarrhea: water alone"
  /CI3H    "During diarrhea: unacceptable fluids"
  /CI3I    "During diarrhea: nothing"
  /CI4     "Drinking pattern during illness"
  /CI5     "Eating pattern during illness"
  /CI6     "Illness with cough in last 2 weeks"
  /CI7     "Difficult/fast breathing"
  /CI8     "Symptoms due to blocked nose/chest"
  /CI9     "Sought advice or treatment"
  /CI10A   "Sought care: hospital"
  /CI10B   "Sought care: health centre"
  /CI10C   "Sought care: dispensary"
  /CI10D   "Sought care: village health worker"
  /CI10E   "Sought care: MCH clinic"
  /CI10F   "Sought care: mobile/outreach clinic"
  /CI10G   "Sought care: private physician"
  /CI10H   "Sought care: traditional healer"
  /CI10I   "Sought care: pharmacy/drug seller"
  /CI10J   "Sought care: relative/friend"
  /CI10K   "Sought care: other"
  /CI11A   "Requires care: can't drink/breastfeed"
  /CI11B   "Requires care: becomes sicker"
  /CI11C   "Requires care: fever"
  /CI11D   "Requires care: fast breathing"
  /CI11E   "Requires care: difficult breathing"
  /CI11F   "Requires care: blood in stool"
  /CI11G   "Requires care: drinking poorly"
  /CI11H   "Requires care: other"
  /CI11I   "Requires care: other"
  /CI11J   "Requires care: other"
  /ML1     "Fever in last 2 weeks"
  /ML2     "Taken to health facility"
  /ML3     "Take medicine prescribed at HF"
  /ML4A    "Medicine taken: paracetamol"
  /ML4B    "Medicine taken: chloroquine"
  /ML4C    "Medicine taken: fansidar"
  /ML4D    "Medicine taken: other"
  /ML4Z    "Medicine taken: don't know"
  /ML5     "Given medicine before visiting HF"
  /ML6     "Given medicine during fever/malaria"
  /ML7A    "Medicine taken: paracetamol"
  /ML7B    "Medicine taken: chloroquine"
  /ML7C    "Medicine taken: fansidar"
  /ML7D    "Medicine taken: other"
  /ML7Z    "Medicine taken: don't know"
  /ML8     "Sleep under bednet"
  /ML9     "Bednet treated with insecticide"
  /ML10    "Months since bednet was treated"
  /IM1     "Vaccination card"
  /IM2D    "BCG: day"
  /IM2M    "BCG: month"
  /IM2Y    "BCG: year"
  /IM3AD   "Polio 0: day"
  /IM3AM   "Polio 0: month"
  /IM3AY   "Polio 0: year"
  /IM3BD   "Polio 1: day"
  /IM3BM   "Polio 1: month"
  /IM3BY   "Polio 1: year"
  /IM3CD   "Polio 2: day"
  /IM3CM   "Polio 2: month"
  /IM3CY   "Polio 2: year"
  /IM3DD   "Polio 3: day"
  /IM3DM   "Polio 3: month"
  /IM3DY   "Polio 3: year"
  /IM4AD   "DPT 1: day"
  /IM4AM   "DPT 1: month"
  /IM4AY   "DPT 1: year"
  /IM4BD   "DPT 2: day"
  /IM4BM   "DPT 2: month"
  /IM4BY   "DPT 2: year"
  /IM4CD   "DPT 3: day"
  /IM4CM   "DPT 3: month"
  /IM4CY   "DPT 3: year"
  /IM5D    "Measles: day"
  /IM5M    "Measles: month"
  /IM5Y    "Measles: year"
  /IM6     "Vaccinations not on card"
  /IM7     "Ever given a vaccination"
  /IM8     "Ever given BCG vaccination"
  /IM9     "Ever given polio vaccination"
  /IM10    "Age at first polio vaccination"
  /IM11    "Number of polio vaccines"
  /IM12    "Ever given DPT vaccination"
  /IM13    "Number of DPT vaccines"
  /IM14    "Ever given measles vaccination"
  /IM15A   "Participated in campagin A"
  /IM15B   "Participated in campagin B"
  /IM15C   "Participated in campagin C"
  /SEX     "Sex"
  /DOID    "Day of interview"
  /DOIM    "Month of interview"
  /DOIY    "Year of interview"
  /AGE     "Age"
  /WEIGHT  "Weight (kg)"
  /AN2A    "Type of height measurement"
  /HEIGHT  "Height (cm)"
  /AN3     "Measurer's code"
  /AN4     "Result of measurement"
  /HAP     "Height-for-age: percentile"
  /HAZ     "Height-for-age: z-score"
  /HAM     "Height-for-age: %median"
  /WAP     "Weight-for-age: percentile"
  /WAZ     "Weight-for-age: z-score"
  /WAM     "Weight-for-age: %median"
  /WHP     "Weight-for-height: percentile"
  /WHZ     "Weight-for-height: z-score"
  /WHM     "Weight-for-height: %median"
  /FLAG    "Flag for z-scores"
.

*add value labels.
value labels
  BR3D
    97 "Missing"
    99 "DK"
  /BR3M
    97 "Missing"
    99 "DK"
  /BR3Y
    9997 "Missing"
    9999 "DK"
  /BR4
    1 "Yes, seen"
    2 "Yes, not seen"
    3 "No"
    7 "Missing"
    9 "DK"
  /BR5
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BR6
    1 "Costs too much"
    2 "Must travel too far"
    3 "Didn't know it should be registered"
    4 "Late & didn't want to pay fine"
    5 "Does not know where to register"
    6 "Other"
    7 "Missing"
    9 "DK"
  /BR7
    1 "Yes"
    2 "No"
    7 "Missing"
    8 "No answer"
  /BR8
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BR9
    97 "Missing"
  /VA1
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /VA2
    97 "Missing"
    99 "DK"
  /VA3
    1 "On routine visit to health centre"
    2 "Sick child visit to health centre"
    3 "National immunization day campaign"
    4 "Other"
    7 "Missing"
    9 "DK"
  /BF1
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF2
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF3A
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF3B
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF3C
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF3D
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF3E
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF3F
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF3G
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /BF4
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI1
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI2
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3A
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3B
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3C
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3D
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3E
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3F
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3G
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3H
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI3I
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI4
    1 "Much less or none"
    2 "About the same (or somewhat less)"
    3 "More"
    7 "Missing"
    9 "DK"
  /CI5
    1 "None"
    2 "Much less"
    3 "Somewhat less"
    4 "About the less"
    5 "More"
    7 "Missing"
    9 "DK"
  /CI6
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI7
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI8
    1 "Blocked nose"
    2 "Problem in chest"
    3 "Both"
    7 "Missing"
    8 "Other"
    9 "DK"
  /CI9
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /CI10A
    1 "Hospital"
    0 "No"
   97 "Missing"
  /CI10B
    2 "Health center"
    0 "No"
   97 "Missing"
  /CI10C
    3 "Dispensary"
    0 "No"
   97 "Missing"
  /CI10D
    4 "Village health worker"
    0 "No"
   97 "Missing"
  /CI10E
    5 "MCH clinic"
    0 "No"
   97 "Missing"
  /CI10F
    6 "Mobile/outreach clinic"
    0 "No"
   97 "Missing"
  /CI10G
    7 "Private physician"
    0 "No"
   97 "Missing"
  /CI10H
    8 "Traditional healer"
    0 "No"
   97 "Missing"
  /CI10I
    9 "Pharmacy or drug seller"
    0 "No"
   97 "Missing"
  /CI10J
   10 "Relative or friend"
    0 "No"
   97 "Missing"
  /CI10K
   11 "Other"
    0 "No"
   97 "Missing"
  /CI11A
    1 "Child not able to drink or breastfeed"
    0 "No"
   97 "Missing"
  /CI11B
    2 "Child becomes sicker"
    0 "No"
   97 "Missing"
  /CI11C
    3 "Child develops a fever"
    0 "No"
   97 "Missing"
  /CI11D
    4 "Child has fast breathing"
    0 "No"
   97 "Missing"
  /CI11E
    5 "Child has difficulty breathing"
    0 "No"
   97 "Missing"
  /CI11F
    6 "Child has bllod in stool"
    0 "No"
   97 "Missing"
  /CI11G
    7 "Child is drinking poorly"
    0 "No"
   97 "Missing"
  /CI11H
    8 "Other"
    0 "No"
   97 "Missing"
  /CI11I
    9 "Other"
    0 "No"
   97 "Missing"
  /CI11J
   10 "Other"
    0 "No"
   97 "Missing"
  /ML1
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /ML2
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /ML3
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /ML4A
    1 "Paracetemol"
    0 "No"
    7 "Missing"
  /ML4B
    2 "Chloroquine"
    0 "No"
    7 "Missing"
  /ML4C
    3 "Fansidar"
    0 "No"
    7 "Missing"
  /ML4D
    4 "Other"
    0 "No"
    7 "Missing"
  /ML4Z
    9 "DK"
    0 "No"
    7 "Missing"
  /ML5
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /ML6
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /ML7A
    1 "Paracetemol"
    0 "No"
    7 "Missing"
  /ML7B
    2 "Chloroquine"
    0 "No"
    7 "Missing"
  /ML7C
    3 "Fansidar"
    0 "No"
    7 "Missing"
  /ML7D
    4 "Other"
    0 "No"
    7 "Missing"
  /ML7Z
    9 "DK"
    0 "No"
    7 "Missing"
  /ML8
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /ML9
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /ML10
    97 "Missing"
    99 "DK"
  /IM1
    1 "Yes, seen"
    2 "Yes, not seen"
    3 "No"
    7 "Missing"
    9 "DK"
  /IM2D
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM2M
    97 "Missing"
  /IM2Y
    9997 "Missing"
  /IM3AD
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM3AM
    97 "Missing"
  /IM3AY
    9997 "Missing"
  /IM3BD
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM3BM
    97 "Missing"
  /IM3BY
    9997 "Missing"
  /IM3CD
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM3CM
    97 "Missing"
  /IM3CY
    9997 "Missing"
  /IM3DD
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM3DM
    97 "Missing"
  /IM3DY
    9997 "Missing"
  /IM4AD
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM4AM
    97 "Missing"
  /IM4AY
    9997 "Missing"
  /IM4BD
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM4BM
    97 "Missing"
  /IM4BY
    9997 "Missing"
  /IM4CD
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM4CM
    97 "Missing"
  /IM4CY
    9997 "Missing"
  /IM5D
    0 "Not given"
   44 "Marked on card - no date"
   66 "Reported by mother"
   97 "Missing"
  /IM5M
    97 "Missing"
  /IM5Y
    9997 "Missing"
  /IM6
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /IM7
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /IM8
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /IM9
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /IM10
    1 "Just after birth"
    2 "Later"
    7 "Missing"
    9 "DK"
  /IM11
    97 "Missing"
  /IM12
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /IM13
    97 "Missing"
  /IM14
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /IM15A
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /IM15B
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /IM15C
    1 "Yes"
    2 "No"
    7 "Missing"
    9 "DK"
  /SEX
    1 "Male"
    2 "Female"
  /WEIGHT
     97.0 "Missing"
    999.9 "Missing"
  /AN2A
    1 "Lying down"
    2 "Standing up"
    7 "Missing"
  /HEIGHT
    997.0 "Missing"
    999.9 "Missing"
  /AN4
    1 "Measured"
    2 "Not present"
    3 "Refused"
    4 "Other"
    7 "Missing"
  /FLAG
    0 "No indices flagged"
    1 "HAZ flagged only"
    2 "WHZ flagged only"
    3 "Both HAZ and WHZ flagged"
    4 "WAZ flagged only"
    5 "Both HAZ and WAZ flagged"
    6 "Both WHZ and WAZ flagged"
    7 "All three indices flagged"
.

save outfile 'ch.sav'.
